<?php
// $Id: equalheights.admin.inc,v 1.1 2009/03/02 02:19:50 drupallibrarian Exp $

/**
 * @file
 * Provides the administration page for Equal Heights.
 */

/**
 * Administration settings page
 */
function equalheights_admin() {
  $form = array();
  $description = t('Add space separated list of CSS classes that you want to be of equal height ');
  $description .= t('(one class per set of elements, no leading periods). ');
  $description .= t('Optionally you can specify minimum and maximum height in pixels after a colon, separated by the comma ');
  $description .= t('(the format is \'classname:minheight,maxheight\'. ');
  $description .= t('If you use only one number it will be treated as a minimum height. ');
  $description .= t('For example, \'equalheight:100,500\' will set the height of all elements with the class \'equalheight\' ');
  $description .= t('to at least 100px but no more than 500px. ');
  $description .= t('(<a href="@about">Read more about the plugin.</a>) ', array('@about' => 'http://www.cssnewbie.com/equalheights-jquery-plugin/'));
  $form['equalheights_css_classes'] = array(
    '#type' => 'textfield',
    '#title' => t('CSS Classes'),
    '#default_value' => variable_get('equalheights_css_classes', ''),
    '#description' => $description,
  );
  return system_settings_form($form);
} // function equalheights_admin